/* gtkaboutdialog.h
 *
 * This file is part of the MandrakeSoft Gtk Widgets Package
 * Copyright (C) 2000 DindinX <odin@mandrakesoft.com>
 * Copyright (C) 2000 MandrakeSoft
 *      
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __GTK_ABOUT_DIALOG_H__
#define __GTK_ABOUT_DIALOG_H__

#include <gtk/gtkwindow.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GTK_TYPE_ABOUT_DIALOG            (gtk_about_dialog_get_type())
#define GTK_ABOUT_DIALOG(obj)            (GTK_CHECK_CAST((obj), GTK_TYPE_ABOUT_DIALOG, GtkAboutDialog))
#define GTK_ABOUT_DIALOG_CLASS(klass)    (GTK_CHECK_CLASS_CAST((klass), GTK_TYPE_ABOUT_DIALOG, GtkAboutDialogClass))
#define GTK_IS_ABOUT_DIALOG(obj)         (GTK_CHECK_TYPE((obj), GTK_TYPE_ABOUT_DIALOG))
#define GTK_IS_ABOUT_DIALOG_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GTK_TYPE_ABOUT_DIALOG))

typedef struct _GtkAboutDialog       GtkAboutDialog;
typedef struct _GtkAboutDialogClass  GtkAboutDialogClass;


struct _GtkAboutDialog
{
  GtkWindow window;

  GtkWidget *AppName;
  gchar **ContribList;
  gint NbContribs;
  GtkWidget *ScrollArea;
  gint Widths[100];          /* The number of contributors is limited to 100 */
  GdkPixmap *ScrollPixmap;
  gint ScrollState;
  gint offset;
  gint CurScrollIndex;
  gint timer;
};

struct _GtkAboutDialogClass
{
  GtkWindowClass parent_class;

};

/* AboutDialog */

GtkType    gtk_about_dialog_get_type(void);
GtkWidget *gtk_about_dialog_new(char *AppName, char **ContribList);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GTK_ABOUT_DIALOG_H__ */
