/* gtkdirselect.h
 *
 * This file is part of the MandrakeSoft Gtk Widgets Package
 * Copyright (C) 2000 DindinX <odin@mandrakesoft.com>
 * Copyright (C) 2000 MandrakeSoft
 *      
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __GTK_DIR_SELECT_H__
#define __GTK_DIR_SELECT_H__

#include <gtk/gtkhbox.h>
#include <gtk/gtklabel.h>
#include <gtk/gtkentry.h>
#include <gtk/gtkbutton.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GTK_TYPE_DIR_SELECT            (gtk_dir_select_get_type())
#define GTK_DIR_SELECT(obj)            (GTK_CHECK_CAST((obj), GTK_TYPE_DIR_SELECT, GtkDirSelect))
#define GTK_DIR_SELECT_CLASS(klass)    (GTK_CHECK_CLASS_CAST((klass), GTK_TYPE_DIR_SELECT, GtkDirSelectClass))
#define GTK_IS_DIR_SELECT(obj)         (GTK_CHECK_TYPE((obj), GTK_TYPE_DIR_SELECT))
#define GTK_IS_DIR_SELECT_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GTK_TYPE_DIR_SELECT))

typedef struct _GtkDirSelect       GtkDirSelect;
typedef struct _GtkDirSelectClass  GtkDirSelectClass;


struct _GtkDirSelect
{
  GtkHBox hbox;

  GtkWidget *label;
  GtkWidget *entry;
  GtkWidget *button;

  guchar *directory; /* no more used */
  guchar *FStitle;
};

struct _GtkDirSelectClass
{
  GtkHBoxClass parent_class;

  void (* dir_changed)(GtkDirSelect *dirselect, gchar *newdir);
};

/* DirSelect */

GtkType    gtk_dir_select_get_type(void);
GtkWidget *gtk_dir_select_new(gchar *label,
                              gchar *directory,
                              gchar *FStitle);
void gtk_dir_select_set_dir(GtkDirSelect *dirselect, gchar *newdir);
gchar *gtk_dir_select_get_dir(GtkDirSelect *dir_select);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GTK_DIR_SELECT_H__ */
