/* gtkmdkfilesel.h
 *
 * This file is part of the MandrakeSoft Gtk Widgets Package
 * Copyright (C) 2000 DindinX <odin@mandrakesoft.com>
 * Copyright (C) 2000 MandrakeSoft
 *      
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __GTK_MDK_FILE_SEL_H__
#define __GTK_MDK_FILE_SEL_H__

#include <gtk/gtkwindow.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GTK_TYPE_MDK_FILE_SEL            (gtk_mdk_file_sel_get_type())
#define GTK_MDK_FILE_SEL(obj)            (GTK_CHECK_CAST((obj), GTK_TYPE_MDK_FILE_SEL, GtkMdkFileSel))
#define GTK_MDK_FILE_SEL_CLASS(klass)    (GTK_CHECK_CLASS_CAST((klass), GTK_TYPE_MDK_FILE_SEL, GtkMdkFileSelClass))
#define GTK_IS_MDK_FILE_SEL(obj)         (GTK_CHECK_TYPE((obj), GTK_TYPE_MDK_FILE_SEL))
#define GTK_IS_MDK_FILE_SEL_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GTK_TYPE_MDK_FILE_SEL))

typedef struct _GtkMdkFileSel       GtkMdkFileSel;
typedef struct _GtkMdkFileSelClass  GtkMdkFileSelClass;


struct _GtkMdkFileSel
{
  GtkWindow window;

  GtkWidget *ok_button;
  GtkWidget *cancel_button;
  GtkWidget *vbox, *button_box;

  GtkWidget *frame;
  GtkWidget *dir_ctree, *file_clist;
  GtkWidget *file_entry;
  GdkPixmap *closed_folder_pixmap, *open_folder_pixmap;
  GdkBitmap *closed_folder_mask, *open_folder_mask;
  gchar *filename;
  GtkCTreeNode *selected_dir_node;
};

struct _GtkMdkFileSelClass
{
  GtkWindowClass parent_class;
};

/* GtkMdkFileSel */

GtkType    gtk_mdk_file_sel_get_type(void);
GtkWidget *gtk_mdk_file_sel_new(void);
void       gtk_mdk_file_sel_set_filename(GtkMdkFileSel *gtk_mdk_file_sel,
                                         const gchar   *filename);
gchar     *gtk_mdk_file_sel_get_filename(GtkMdkFileSel *gtk_mdk_file_sel);


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GTK_MDK_FILE_SEL_H__ */
