/* gtkmdkprogress.h
 *
 * This file is part of the MandrakeSoft Gtk Widgets Package
 * Copyright (C) 2000 DindinX <odin@mandrakesoft.com>
 * Copyright (C) 2000 MandrakeSoft
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __GTK_MDK_PROGRESS_H__
#define __GTK_MDK_PROGRESS_H__

#include <gtk/gtkwindow.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GTK_TYPE_MDK_PROGRESS            (gtk_mdk_progress_get_type())
#define GTK_MDK_PROGRESS(obj)            (GTK_CHECK_CAST((obj), GTK_TYPE_MDK_PROGRESS, GtkMdkProgress))
#define GTK_MDK_PROGRESS_CLASS(klass)    (GTK_CHECK_CLASS_CAST((klass), GTK_TYPE_MDK_PROGRESS, GtkMdkProgressClass))
#define GTK_IS_MDK_PROGRESS(obj)         (GTK_CHECK_TYPE((obj), GTK_TYPE_MDK_PROGRESS))
#define GTK_IS_MDK_PROGRESS_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GTK_TYPE_MDK_PROGRESS))

typedef struct _GtkMdkProgress       GtkMdkProgress;
typedef struct _GtkMdkProgressClass  GtkMdkProgressClass;

struct _GtkMdkProgress
{
  GtkWindow window;

  GtkAdjustment *adj;
  GtkWidget *Bar;
};

struct _GtkMdkProgressClass
{
  GtkWindowClass parent_class;
};

/* MdkProgress */

GtkType    gtk_mdk_progress_get_type(void);
GtkWidget *gtk_mdk_progress_new(GtkWindow *parent_window, gchar *caption);
void gtk_mdk_progress_update(GtkMdkProgress *mdk_progress);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GTK_MDK_PROGRESS_H__ */
