/* gtkmdktoolbar.h
 *
 * This file is part of the MandrakeSoft Gtk Widgets Package
 * Copyright (C) 2000 DindinX <odin@mandrakesoft.com>
 * Copyright (C) 2000 MandrakeSoft
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __GTK_MDK_TOOLBAR_H__
#define __GTK_MDK_TOOLBAR_H__

#include <gtk/gtkeventbox.h>
#include <gtk/gtktoolbar.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define GTK_TYPE_MDK_TOOLBAR            (gtk_mdk_toolbar_get_type())
#define GTK_MDK_TOOLBAR(obj)            (GTK_CHECK_CAST((obj), GTK_TYPE_MDK_TOOLBAR, GtkMdkToolbar))
#define GTK_MDK_TOOLBAR_CLASS(klass)    (GTK_CHECK_CLASS_CAST((klass), GTK_TYPE_MDK_TOOLBAR, GtkMdkToolbarClass))
#define GTK_IS_MDK_TOOLBAR(obj)         (GTK_CHECK_TYPE((obj), GTK_TYPE_MDK_TOOLBAR))
#define GTK_IS_MDK_TOOLBAR_CLASS(klass) (GTK_CHECK_CLASS_TYPE((klass), GTK_TYPE_MDK_TOOLBAR))

typedef struct _GtkMdkToolbar       GtkMdkToolbar;
typedef struct _GtkMdkToolbarClass  GtkMdkToolbarClass;

struct _GtkMdkToolbar
{
  GtkEventBox eventbox;
  GtkToolbar *toolbar;
  GtkWidget  *menu;
};

struct _GtkMdkToolbarClass
{
  GtkToolbarClass parent_class;
};

/* MdkToolbar */

GtkType    gtk_mdk_toolbar_get_type(void);
GtkWidget *gtk_mdk_toolbar_new(gchar *config_file);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GTK_MDK_TOOLBAR_H__ */

